Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ComponentAttribute

    java.lang.Object
      org.richfaces.renderkit.ComponentAttribute

All Implemented Interfaces:
  java.lang.Comparable<ComponentAttribute>

    public class ComponentAttribute

extends java.lang.Object
implements java.lang.Comparable<ComponentAttribute>

Author:
  Nick Belaevski

Nested Class Summary
`static class` | `ComponentAttribute.Kind`

Constructor Summary
`ComponentAttribute(java.lang.String htmlAttributeName)`

Method Summary
`int` | `compareTo(ComponentAttribute o)`
`static java.util.Map<java.lang.String,ComponentAttribute>` | `createMap(ComponentAttribute... attributes)`
`java.lang.String` | `getComponentAttributeName()`
`java.lang.Object` | `getDefaultValue()`
`java.lang.String[]` | `getEventNames()`
`java.lang.String` | `getHtmlAttributeName()`
`ComponentAttribute.Kind` | `getKind()`
`ComponentAttribute` | `setComponentAttributeName(java.lang.String componentAttributeName)`
`void` | `setDefaultValue(java.lang.Object dafaultValue)`
`ComponentAttribute` | `setEventNames(java.lang.String... eventNames)`
`void` | `setKind(ComponentAttribute.Kind kind)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentAttribute

    public ComponentAttribute(java.lang.String htmlAttributeName)

Method Detail

### getDefaultValue

    public java.lang.Object getDefaultValue()

  Returns:
    the defaultValue

### setDefaultValue

    public void setDefaultValue(java.lang.Object dafaultValue)

  Parameters:
    `defaultValue` - the defaultValue to set

### getKind

    public ComponentAttribute.Kind getKind()

  Returns:
    the kind

### setKind

    public void setKind(ComponentAttribute.Kind kind)

  Parameters:
    `kind` - the kind to set

### createMap

    public static final java.util.Map<java.lang.String,ComponentAttribute> createMap(ComponentAttribute... attributes)

### getHtmlAttributeName

    public java.lang.String getHtmlAttributeName()

  Returns:
    the name

### getComponentAttributeName

    public java.lang.String getComponentAttributeName()

  Returns:
    the componentAttributeName

### setComponentAttributeName

    public ComponentAttribute setComponentAttributeName(java.lang.String componentAttributeName)

  Parameters:
    `componentAttributeName` - the componentAttributeName to set
  Returns:

### getEventNames

    public java.lang.String[] getEventNames()

  Returns:
    the eventNames

### setEventNames

    public ComponentAttribute setEventNames(java.lang.String... eventNames)

  Parameters:
    `eventNames` - the eventNames to set
  Returns:

### compareTo

    public int compareTo(ComponentAttribute o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<ComponentAttribute>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.